Package com.io7m.cardant.server.service.tls

# Class CATLSContextService

java.lang.Object
com.io7m.cardant.server.service.tls.CATLSContextService

All Implemented Interfaces:
  `CATLSContextServiceType`, `com.io7m.repetoir.core.RPServiceType`

public final class CATLSContextService extends Object implements CATLSContextServiceType
The TLS context service.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CATLSContext`
  `create(String user, CATLSStoreConfiguration keyStoreConfiguration, CATLSStoreConfiguration trustStoreConfiguration)`
  Create a TLS context.
  `static CATLSContextServiceType`
  `createService(com.io7m.repetoir.core.RPServiceDirectoryType services)`
  `String`
  `description()`
  `void`
  `reload()`
  Reload all TLS contexts.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### createService

    public static CATLSContextServiceType createService(com.io7m.repetoir.core.RPServiceDirectoryType services)
    Parameters:
      `services` - The service directory
    Returns:
      A new TLS context service

  - ### create

    public CATLSContext create(String user, CATLSStoreConfiguration keyStoreConfiguration, CATLSStoreConfiguration trustStoreConfiguration) throws CAException
    Description copied from interface: `CATLSContextServiceType`
    Create a TLS context.
    Specified by:
      `create` in interface `CATLSContextServiceType`
    Parameters:
      `user` - The user of this context (such as "HealthService", "AdminService", etc)
      `keyStoreConfiguration` - The keystore configuration
      `trustStoreConfiguration` - The truststore configuration
    Returns:
      A TLS context
    Throws:
      `CAException` - On errors

  - ### reload

    public void reload()
    Description copied from interface: `CATLSContextServiceType`
    Reload all TLS contexts. Primarily used to reload short-lived certificates issued using the ACME protocol.
    Specified by:
      `reload` in interface `CATLSContextServiceType`

  - ### description

    public String description()
    Specified by:
      `description` in interface `com.io7m.repetoir.core.RPServiceType`